Skip to content

Notification Types

This object allows you to create custom Notification Types which will create interaction instances (such as emails, text messages, etc.) automatically when case conditions are met. For example, when a new bankruptcy case is initiated, the system can automatically send an email notification and ask the borrower to provide supporting documents.

The conditions are set in the following way. There are two triggers and one condition fields that you can configure:

  1. onStatus - triggered based on the case status.
  2. onOutcome - triggered based on the case outcome.
  3. onCondition - condition(s) based on case fields values.

You must provide at least one trigger, onStatus or onOutcome, when creating a new Notification Type object.

Few examples:

  • onStatus=processing, onOutcome=null, onCondition=null - the interaction instance will be created when the case status is changed to processing.
  • onStatus=completed, onOutcome=approved, onCondition=null - the interaction instance will be created when the case status is changed to completed and the outcome is approved.

Notification Types must be associated with Case Types. A Notification Type object can be associated with multiple Case Types.

Get types

Request

Security
oauth2(Required scopes: notification.type:list) or bearerAuth or apiKeyHeader
Query
loanTypeIdArray of strings

Use this to limit results to a specific lender product.

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

GET
/notification-types
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/notification-types?loanTypeId=string&limit=25&startingAfter=string&endingBefore=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(notificationHandler)
Response
{ "count": 0, "status": 0, "data": [ { … } ] }